> ## Documentation Index
> Fetch the complete documentation index at: https://developers.vidbeo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update player

> Update a player's details



## OpenAPI

````yaml patch /players/{PLAYER_ID}
openapi: 3.0.3
info:
  title: Video API
  description: Use our Video API to handle your video storage, transcoding and delivery.
  contact:
    name: Vidbeo Support
    url: https://www.vidbeo.com
    email: support@vidbeo.com
  version: 2.0.0
servers:
  - url: https://api.vidbeo.com/v2
security:
  - bearerAuth: []
tags:
  - name: Analytics
  - name: API keys
  - name: Audit logs
  - name: Categories
  - name: Folders
  - name: Identity providers
  - name: Invites
  - name: JWT keys
  - name: Players
  - name: Services
  - name: Stream keys
  - name: Tokens
  - name: Transcribes
  - name: Uploads
  - name: Users
  - name: Videos
paths:
  /players/{PLAYER_ID}:
    parameters:
      - $ref: '#/components/parameters/playerId'
    patch:
      tags:
        - Players
      summary: Update player
      description: Update a player's details
      requestBody:
        $ref: '#/components/requestBodies/Player'
      responses:
        '200':
          $ref: '#/components/responses/Player'
        '404':
          $ref: '#/components/responses/Error404'
components:
  parameters:
    playerId:
      name: PLAYER_ID
      in: path
      description: ID of the player
      required: true
      schema:
        type: string
        example: abcde12345abcde12345a
  requestBodies:
    Player:
      required: true
      content:
        application/json:
          schema:
            type: object
            properties:
              aspectratio:
                description: >-
                  Its aspect ratio. Currently we only support the most common
                  16:9 ratio
                type: string
                enum:
                  - '16:9'
                example: '16:9'
              autoplay:
                description: >-
                  Should the player try to play on-load (many browsers block
                  this, though setting muted as true can help)?
                type: boolean
                example: false
              colour:
                description: Its accent colour, used for the main play button
                type: string
                pattern: ^#[a-zA-Z0-9]{6}$
                example: '#ff0000'
              controls:
                description: Whether controls should be shown
                type: boolean
                example: false
              buttons:
                description: >-
                  If you only want a subset of the controls shown, provide a
                  comma-separated string of the ones to include
                type: string
                example: play,progress,fullscreen
              dnt:
                description: Should the player send analytics events?
                type: boolean
                example: false
              keyboard:
                description: Support keyboard controls
                type: boolean
                example: false
              loop:
                description: Should the video automatically loop and restart when it ends?
                type: boolean
                example: false
              name:
                description: A short name for the player
                type: string
                minLength: 1
                maxLength: 40
                example: Example
              muted:
                description: Should the video be muted on-load?
                type: boolean
                example: false
              playsinline:
                description: >-
                  If supported, should the video play inline (as opposed to
                  immediately going fullscreen)
                type: boolean
                example: false
              preload:
                description: >-
                  If supported, should we buffer a small amount of video on-load
                  to improve performance?
                type: boolean
                example: false
              quality:
                description: >-
                  We try and pick the best quality (based on the connection
                  speed) but you can force it
                type: string
                enum:
                  - highest
                  - lowest
                example: highest
              title:
                description: Should the video title be shown on-load?
                type: boolean
                example: false
              track:
                description: >-
                  If subtitles are available, this sets the language of the one
                  to show on-load
                type: string
                enum:
                  - de-DE
                  - en-AU
                  - en-GB
                  - en-US
                  - es-ES
                  - fr-FR
                  - it-IT
                example: en-US
  responses:
    Player:
      description: Player
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - result
              - links
              - errors
            properties:
              success:
                type: boolean
                example: true
              result:
                $ref: '#/components/schemas/Player'
              links:
                type: object
                example: {}
              errors:
                type: array
                items:
                  type: object
                minLength: 0
                maxLength: 0
                example: []
    Error404:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - result
              - links
              - errors
            properties:
              success:
                type: boolean
                example: false
              result:
                type: object
                example: {}
              links:
                type: object
                example: {}
              errors:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                      example: Not found
            example:
              success: false
              result: {}
              links: {}
              errors:
                - message: Not found
  schemas:
    Player:
      type: object
      required:
        - id
        - aspectratio
        - autoplay
        - colour
        - controls
        - buttons
        - dnt
        - keyboard
        - loop
        - name
        - muted
        - playsinline
        - preload
        - quality
        - title
        - track
        - created_by
        - created_time
        - updated_by
        - updated_time
      properties:
        id:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        aspectratio:
          type: string
          enum:
            - '16:9'
          example: '16:9'
        autoplay:
          type: boolean
          example: false
        colour:
          type: string
          pattern: ^#[a-zA-Z0-9]{6}$
          example: '#ff0000'
        controls:
          type: boolean
          example: false
        buttons:
          type: string
          example: play,progress,fullscreen
        dnt:
          type: boolean
          example: false
        keyboard:
          type: boolean
          example: false
        loop:
          type: boolean
          example: false
        name:
          type: string
          minLength: 1
          maxLength: 40
          example: Example
        muted:
          type: boolean
          example: false
        playsinline:
          type: boolean
          example: false
        preload:
          type: boolean
          example: false
        quality:
          type: string
          enum:
            - highest
            - lowest
          example: highest
        title:
          type: boolean
          example: false
        track:
          type: string
          enum:
            - de-DE
            - en-AU
            - en-GB
            - en-US
            - es-ES
            - fr-FR
            - it-IT
          example: en-US
        created_by:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        created_time:
          type: string
          format: date-time
          example: '2024-01-01T00:00:00.000Z'
        updated_by:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        updated_time:
          type: string
          format: date-time
          example: '2024-01-01T00:00:00.000Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````